CADsite

  • za 29 02 2020, 07:35:58
  • Welkom, gast
Log in of registreer jezelf.

Login met gebruikersnaam, wachtwoord en sessielengte
Geavanceerd zoeken  

Nieuws:

Pagina's: 1 [2] 3 4 ... 10
 11 
 Gepost op: do 27 02 2020, 14:32:02 
Gestart door gery - Laatste bericht door gery
Hoe kan ik met AutoLISP code testen of een bepaalde pull-down menu uit een bepaalde menugroup reeds in de menubalk staat?

 12 
 Gepost op: wo 26 02 2020, 15:50:07 
Gestart door wety - Laatste bericht door wety
Julien,

Dit werkt perfect.
Als je het antwoord weet dan voel je je....  i.i.g. hardstikke bedankt!

mvg,

wety

 13 
 Gepost op: wo 26 02 2020, 14:43:18 
Gestart door wety - Laatste bericht door julien
Een kleine work around.
Gewoon het block invoegen vanuit de block bib:


Maar om eerlijk te zijn, geen idee hoe dit viewport gemaakt is aanpasbaar te maken is.

 14 
 Gepost op: wo 26 02 2020, 13:49:15 
Gestart door wety - Laatste bericht door wety
Goedemiddag,

Ik heb een tekening binnengekregen, als ik de dwg open dan kan ik het niet kopiëren d.m.v. commando copy of naar een andere tekening d.m.v. ctrl+c (v)..
Niks te zien in Modelspace, wel in Layout (kader) maar vanuit de Layout (viewport) kan ik het object niet knippen, exploderen o.i.d. erg irritant, wel selecteren, het is een block.

Kan iemand mij hiermee helpen, misschien is de tekening beveiligd ofzo??
Zie bijlage.

Met vriendelijke groet,

Wety

 15 
 Gepost op: zo 23 02 2020, 19:06:20 
Gestart door Wissn - Laatste bericht door gery
Horizontale snap te groot ingesteld?

 16 
 Gepost op: do 20 02 2020, 16:58:42 
Gestart door Wissn - Laatste bericht door bart
al eens opnieuw opgestart?

 17 
 Gepost op: do 20 02 2020, 16:23:18 
Gestart door Wissn - Laatste bericht door TTO
UCS misschien gedraaid?

 18 
 Gepost op: do 20 02 2020, 13:58:12 
Gestart door Wissn - Laatste bericht door Wissn
Hallo iedereen

Ik heb een probleem met het commando move.
Wanneer ik mijn objecten selecteer om te moven, kan ik alleen maar verticaal moven en niet horizontaal.

Mij ortho (F8) ligt aan.

Kan iemand mij dringend helpen?

Bedankt iedereen!!

 19 
 Gepost op: wo 19 02 2020, 09:34:50 
Gestart door delangstevandestraat - Laatste bericht door julien
En idd: mea culpa, ik kom enkel naar hier als ik vast zit
Nog altijd beter dan niet langs komen.  :mrgreen:

 20 
 Gepost op: wo 19 02 2020, 08:06:24 
Gestart door delangstevandestraat - Laatste bericht door delangstevandestraat
met deze stukjes code heb ik verkregen wat ik zocht:
met entsel laat je de gebruiker een element selecteren (uit de group)
met getgroupname verkrijg je de naam
met selgrp verkrijg je een selectieset met daarin alle elementen uit de group

hopelijk is iemand hier iets mee ;-)

(setq ent1 (entsel "selecteer group")
        group (getgroupname (car ent1))
        groupss (selgrp group))

(defun getgroupname (GroupObject / EntName AcadReactors VlxObject); group_name
  (setq EntName (entget GroupObject))
  (if (setq AcadReactors (member '(102 . "{ACAD_REACTORS") EntName))
    (while (and (setq AcadReactors (cdr AcadReactors))
                (eq (caar AcadReactors) 330)
                (eq (vla-get-ObjectName (setq VlxObject (vlax-ename->vla-object (cdar AcadReactors)))) "AcDbGroup")
           ) ; end and
      (if (equal (cadr AcadReactors) '(102 . "}"))
        (setq AcadReactors nil)
      ) ;end if
      (setq GroupName (vla-get-Name VlxObject))
    ) ;end while
  ) ;end if
) ;defun

(defun selgrp (grpname / grp a1 ss ent)
   ;; grpname is the group name, it accepts
   ;; unnamed groupnames, such as *A1
   (setq grp (dictsearch (namedobjdict) "ACAD_GROUP"))
   (setq a1 (dictsearch (cdr (assoc -1 grp)) grpname))
   (setq ss (ssadd))
   (while (/= (assoc 340 a1) nil)
      (setq ent (assoc 340 a1))
      (setq ss (ssadd (cdr ent) ss))
      (setq a1 (subst (cons 0 "") ent a1))
   )
   ss
)

Pagina's: 1 [2] 3 4 ... 10